GET private-repository/repository-details/{geoLocation}
Gets the details of a repository associated with the private location for the current customer.
URL Parameters
| Name | Description |
|---|---|
| geoLocation | The geoLocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoLocation.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-repository/repository-details/{geoLocation}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "9d63eca2-42b6-4fc9-be30-a3641a551208",
"customer_guids": [
"86ce4020-a34a-419e-b09c-f5a493fc31fa",
"e1afd8b8-a720-469c-9298-cbcb602cb566",
"bb5ed2fd-eae6-4953-8c7f-bbf44d8136da"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "da090269-577a-410d-9406-07ca7e2138e6",
"customer_guids": [
"50d4003f-ad0f-4d92-8ebb-e2fa5dbc1ece",
"3e25853c-0291-4e5d-ba16-2c0595d41f33",
"fa5729bc-4238-43ed-8ac8-d5766b37ebd3"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "89257072-a2c8-4a4b-9822-88a35a48b2b5",
"customer_guids": [
"65111876-0b10-49bc-afff-9dc8317618f9",
"84df3083-55fb-472f-8d6f-e51d6fed6dce",
"9d047532-f212-44ac-ae0b-6ee48dd81cfe"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
}
]
| Name | Type | Description |
|---|---|---|
| Id | Guid |
No documentation available. |
| CustomerGuids | Object |
No documentation available. |
| RepositoryName | String |
No documentation available. |
| RepositoryUrl | String |
No documentation available. |
| Username | String |
No documentation available. |
| Geolocs | Object |
No documentation available. |
| Type | String |
No documentation available. |
| Images | Object |
No documentation available. |
| fpr | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| zebratester | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| runbin | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| postman | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| Mirroring | Boolean |
No documentation available. |
| Message | String |
No documentation available. |
| Success | Boolean |
No documentation available. |